| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
IOLink.ImageViewExtension Class Reference

Extension class for ImageView. More...

## Static Public Member Functions
static ImageView | ReinterpretAxes (this ImageView image, params ImageDimension[] axes)
| Proxy for ImageViewFactory.ReinterpretAxes.
static ImageView | CopyInMemory (this ImageView image)
static ImageView | CopyOnDisk (this ImageView image)
static ImageView | CopyOnDisk (this ImageView image, string dirPath)
static ImageView | AdaptProperties (this ImageView image, ReadonlyImageProperties properties)
static ImageView | AdaptMetadata (this ImageView image, MetadataNode metadata)
static ImageView | AdaptDynamicRange (this ImageView image, DataType type, Vector2d inputRange, Vector2d outputRange)
static ImageView | AdaptDataType (this ImageView image, DataType type)
static ImageView | ExtractChannel (this ImageView image, uint idxChannel)
static ImageView | ExtractRegion (this ImageView image, RegionXu64 region)
static ImageView | ExtractAdjustedRegion (this ImageView image, RegionXu64 region)
static ImageView | AssembleChannels (this ImageView image)
static ImageView | DisassembleChannels (this ImageView image)
static ImageView | Reinterpret (this ImageView image, ImageType newImageType)
static ImageView | SubSample (this ImageView image, uint step)
static ImageView | FlipDimension (this ImageView image, ImageDimension dimension)
static ImageView | FlipDimensionIndex (this ImageView image, uint dimensionIndex)
static ImageView | MakeThreadSafe (this ImageView image)
static MultiImageView | UnstackDimensionIndex (this ImageView image, uint idxDimensionUnstack)
static MultiImageView | UnstackDimension (this ImageView image, ImageDimension dimension)
static MultiImageView | Deinterlace (this ImageView image)
static byte[] | Read (this ImageView image, VectorXu64 index)
| Read data at a specific position of the image.
static unsafe void | Read< T > (this ImageView image, VectorXu64 index, T[] dst)
| Read data at a specific position of the image.
static T[] | Read< T > (this ImageView image, VectorXu64 index)
| Read data at a specific position of the image.
static byte[] | ReadRegion (this ImageView image, RegionXu64 region)
| Read data from a region of the image.
static unsafe void | Write< T > (this ImageView image, VectorXu64 index, T[] src)
| Write values into an image's position.
static unsafe void | Write< T > (this ImageView image, VectorXu64 index, T src)
| Write values into an image's position.
static unsafe void | WriteRegion< T > (this ImageView image, RegionXu64 region, T[] src)
| Write values into an image's region.
static unsafe void | ReadRegion< T > (this ImageView image, RegionXu64 region, T[] dst)
| Read data from an image's region.
static T[] | ReadRegion< T > (this ImageView image, RegionXu64 region)
| Read values from a region of an image.

## Detailed Description

Extension class for ImageView.

## Member Function Documentation

## ◆ AdaptDataType()

static ImageView IOLink.ImageViewExtension.AdaptDataType | ( | this ImageView | image,
|  | DataType | type
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.ExtractChannel param name="image"> image to adapt

param name="idxChannel"> index of the channel to extract

## ◆ AdaptDynamicRange()

static ImageView IOLink.ImageViewExtension.AdaptDynamicRange | ( | this ImageView | image,
|  | DataType | type,
|  | Vector2d | inputRange,
|  | Vector2d | outputRange
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.AdaptDataType param name="image"> image to adapt

param name="type"> type to affect to image

## ◆ AdaptMetadata()

static ImageView IOLink.ImageViewExtension.AdaptMetadata | ( | this ImageView | image,
|  | MetadataNode | metadata
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.AdaptDynamicRange param name="image"> image to adapt

param name="type"> type to affect to image

param name="inputRange"> range of values of original type

param name="outputRange"> range of value for the new type

## ◆ AdaptProperties()

static ImageView IOLink.ImageViewExtension.AdaptProperties | ( | this ImageView | image,
|  | ReadonlyImageProperties | properties
| ) |  |
| inline static

summary>Proxy to adapt current view with given Metadata

Parameters

  image | ImageView to use
  metadata | Metadata to assign on given ImageView

<return> A proxy on given ImageView using given metadata </return>

## ◆ AssembleChannels()

static ImageView IOLink.ImageViewExtension.AssembleChannels | ( | this ImageView | image | ) |
| inline static

summary>Proxy for ImageViewFactory.DisassembleChannels param name="image"> image to adapt

## ◆ CopyInMemory()

static ImageView IOLink.ImageViewExtension.CopyInMemory | ( | this ImageView | image | ) |
| inline static

summary>Proxy for ImageViewFactory.CopyOnDisk param name="image"> image to copy on disk

## ◆ CopyOnDisk() [1/2]

static ImageView IOLink.ImageViewExtension.CopyOnDisk | ( | this ImageView | image | ) |
| inline static

summary>Proxy for ImageViewFactory.CopyOnDisk param name="image"> image to copy on disk

param name="dirPath"> path where the file is temporary created

## ◆ CopyOnDisk() [2/2]

static ImageView IOLink.ImageViewExtension.CopyOnDisk | ( | this ImageView | image,
|  | string | dirPath
| ) |  |
| inline static

summary>Proxy to adapt current view with given Properties

Parameters

  image | ImageView to use
  properties | Properties to assign on given ImageView

<return> A proxy on given ImageView using given properties </return>

## ◆ DisassembleChannels()

static ImageView IOLink.ImageViewExtension.DisassembleChannels | ( | this ImageView | image | ) |
| inline static

summary>Proxy for ImageViewFactory.Reinterpret param name="image"> image to adapt

param name="newImageType"> new axes interpretation to apply

## ◆ ExtractAdjustedRegion()

static ImageView IOLink.ImageViewExtension.ExtractAdjustedRegion | ( | this ImageView | image,
|  | RegionXu64 | region
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.AssembleChannels param name="image"> image to adapt

## ◆ ExtractChannel()

static ImageView IOLink.ImageViewExtension.ExtractChannel | ( | this ImageView | image,
|  | uint | idxChannel
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.ExtractRegion param name="image"> image to adapt

param name="idxChannel"> region to extract

## ◆ ExtractRegion()

static ImageView IOLink.ImageViewExtension.ExtractRegion | ( | this ImageView | image,
|  | RegionXu64 | region
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.ExtractAdjustedRegion param name="image"> image to adapt

param name="idxChannel"> region to extract

## ◆ FlipDimension()

static ImageView IOLink.ImageViewExtension.FlipDimension | ( | this ImageView | image,
|  | ImageDimension | dimension
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.Flip param name="image"> image to adapt

param name="dimensionIndex"> dimension index to flip

## ◆ FlipDimensionIndex()

static ImageView IOLink.ImageViewExtension.FlipDimensionIndex | ( | this ImageView | image,
|  | uint | dimensionIndex
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.MakeThreadSafe param name="image"> image to adapt

## ◆ MakeThreadSafe()

static ImageView IOLink.ImageViewExtension.MakeThreadSafe | ( | this ImageView | image | ) |
| inline static

summary>Proxy for MultiImageViewFactory.Unstack param name="image"> image to adapt

param name="idxDimensionUnstack"> dimension index to unstack

## ◆ Read()

static byte[] IOLink.ImageViewExtension.Read | ( | this ImageView | image,
|  | VectorXu64 | index
| ) |  |
| inline static

Read data at a specific position of the image.

Parameters

  image | The image to read data from
  index | The index to read data from

Returns
  A byte array containing the read data

Exceptions

  IOLink.Error | When the index is out of bounds of the image.

## ◆ Read< T >() [1/2]

static T[] IOLink.ImageViewExtension.Read< T > | ( | this ImageView | image,
|  | VectorXu64 | index
| ) |  |
| inline static

Read data at a specific position of the image.

Template Parameters

  T | The type of the values to read

Parameters

  image | The image to read values from
  index | The position of the image from which data is read

Returns
  A byte array containing the read values

Exceptions

  System.ArgumentException | When The generic type is not compatible with the type of the image.
  IOLink.Error | When the index is out of bounds of the image.

## ◆ Read< T >() [2/2]

static unsafe void IOLink.ImageViewExtension.Read< T > | ( | this ImageView | image,
|  | VectorXu64 | index,
|  | T[] | dst
| ) |  |
| inline static

Read data at a specific position of the image.

Template Parameters

  T | The types of the read values

Parameters

  image | The image to read values from
  index | The index of the image from where values are read
  dst | An array where read values will be written

Exceptions

  System.ArgumentException | When The type of values does not match the type of the image.
  IOLink.Error | When the index is out of bounds of the image, or when src array is not well sized.

## ◆ ReadRegion()

static byte[] IOLink.ImageViewExtension.ReadRegion | ( | this ImageView | image,
|  | RegionXu64 | region
| ) |  |
| inline static

Read data from a region of the image.

Parameters

  image | The image to read data from
  region | The region to read data from

Returns
  A byte array containing the read data

Exceptions

  IOLink.Error | When the region is out of bounds of the image.

## ◆ ReadRegion< T >() [1/2]

static T[] IOLink.ImageViewExtension.ReadRegion< T > | ( | this ImageView | image,
|  | RegionXu64 | region
| ) |  |
| inline static

Read values from a region of an image.

Template Parameters

  T | The type of the values to read

Parameters

  image | The image to reead values from
  region | The region of the image from which data is read

Returns
  A byte array containing the read values

Exceptions

  System.ArgumentException | When The type of values does not match the type of the image, or when dst length is less than the number of values in the region.
  IOLink.Error | When the region is out of bounds of the image.

## ◆ ReadRegion< T >() [2/2]

static unsafe void IOLink.ImageViewExtension.ReadRegion< T > | ( | this ImageView | image,
|  | RegionXu64 | region,
|  | T[] | dst
| ) |  |
| inline static

Read data from an image's region.

Template Parameters

  T | The types of the read values

Parameters

  image | The image to read values from
  region | The region of the image from where values are read
  dst | An array where read values will be written

Exceptions

  System.ArgumentException | When The type of values does not match the type of the image, or when dst length is less than the number of values in the region.
  IOLink.Error | When the region is out of bounds of the image, or when src array is not well sized.

## ◆ Reinterpret()

static ImageView IOLink.ImageViewExtension.Reinterpret | ( | this ImageView | image,
|  | ImageType | newImageType
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.SubSample param name="image"> image to adapt

param name="step"> level of sub-sampling to apply

## ◆ ReinterpretAxes()

static ImageView IOLink.ImageViewExtension.ReinterpretAxes | ( | this ImageView | image,
|  | params ImageDimension[] | axes
| ) |  |
| inline static

Proxy for ImageViewFactory.ReinterpretAxes.

param name="image"> image whose axes must be reinterpreted

param name="axes"> new definitions of axes to affect to given image

summary>Proxy for ImageViewFactory.CopyInMemory param name="image"> image to copy in memory

## ◆ SubSample()

static ImageView IOLink.ImageViewExtension.SubSample | ( | this ImageView | image,
|  | uint | step
| ) |  |
| inline static

summary>Proxy for ImageViewFactory.FlipDimension param name="image"> image to adapt

param name="dimension"> dimension to flip

## ◆ UnstackDimension()

static MultiImageView IOLink.ImageViewExtension.UnstackDimension | ( | this ImageView | image,
|  | ImageDimension | dimension
| ) |  |
| inline static

summary>Proxy for MultiImageViewFactory.Deinterlace param name="image"> image to adapt

## ◆ UnstackDimensionIndex()

static MultiImageView IOLink.ImageViewExtension.UnstackDimensionIndex | ( | this ImageView | image,
|  | uint | idxDimensionUnstack
| ) |  |
| inline static

summary>Proxy for MultiImageViewFactory.Unstack param name="image"> image to adapt

param name="dimension"> dimension to unstack

## ◆ Write< T >() [1/2]

static unsafe void IOLink.ImageViewExtension.Write< T > | ( | this ImageView | image,
|  | VectorXu64 | index,
|  | T | src
| ) |  |
| inline static

Write values into an image's position.

Template Parameters

  T | The type of the values to write

Parameters

  image | The image where to write values
  index | The position of the image where data will be written
  src | The value to write in the image

Exceptions

  System.ArgumentException | When The type of values has a size incompatible with the type of the image.
  IOLink.Error | When the index is out of bounds of the image, or when src array is not well sized.

## ◆ Write< T >() [2/2]

static unsafe void IOLink.ImageViewExtension.Write< T > | ( | this ImageView | image,
|  | VectorXu64 | index,
|  | T[] | src
| ) |  |
| inline static

Write values into an image's position.

Template Parameters

  T | The type of the values to write

Parameters

  image | The image where to write values
  index | The position of the image where data will be written
  src | The values to write in the image

Exceptions

  System.ArgumentException | When The type of values has a size incompatible with the type of the image.
  IOLink.Error | When the index is out of bounds of the image, or when src array is not well sized.

## ◆ WriteRegion< T >()

static unsafe void IOLink.ImageViewExtension.WriteRegion< T > | ( | this ImageView | image,
|  | RegionXu64 | region,
|  | T[] | src
| ) |  |
| inline static

Write values into an image's region.

Template Parameters

  T | The type of the values to write

Parameters

  image | The image where to write values
  region | The region of the image where data will be written
  src | The values to write in the image

Exceptions

  System.ArgumentException | When The type of values does not match the type of the image, or when src length is less than the number of values in the region.
  IOLink.Error | When the region is out of bounds of the image, or when src array is not well sized.

The documentation for this class was generated from the following file:

- wrapping/net/library/ImageViewExtension.cs